Confusing questions...

Hi everyone.
Currently I am using the MinGW to build LLVM. And failed to build the latest LLVM release version of 2.4 using the latest MinGW environment. The error prompted is “can’t find the Intrinsics.td”.
However, after I tried the latest LLVM by SVN, the problem is solved. Very strange…It seems that the makefile is broken… Can anyone tell what kind of magic there is?

Thank you very much for any information provided.
Good luck.

Currently I am using the MinGW to build LLVM. And failed to build the latest
LLVM release version of 2.4 using the latest MinGW environment. The error
prompted is "can't find the Intrinsics.td".

Did you run "configure" before "make"?

Ciao,

Duncan.

Hello, Alex

Currently I am using the MinGW to build LLVM. And failed to build the latest
LLVM release version of 2.4 using the latest MinGW environment. The error
prompted is "can't find the Intrinsics.td".

Looks like your environment is broken somehow. 2.4 release built
without any problems on mingw (otherwise, there wouldn't be any mingw
release binaries).

Of course, if I haven't run the configure command, there would not be the
makefile for me to take the make command to run.

This came up on irc not long ago and the solution was very simple.
Only I can't remember what the solution was! (The configure suggestion
was me trying to remember...).

Ciao,

Duncan.